Categories

See More
Popular Forum

MBA (4887) B.Tech (1769) Engineering (1486) Class 12 (1030) Study Abroad (1004) Computer Science and Engineering (988) Business Management Studies (865) BBA (846) Diploma (746) CAT (651) B.Com (648) B.Sc (643) JEE Mains (618) Mechanical Engineering (574) Exam (525) India (462) Career (452) All Time Q&A (439) Mass Communication (427) BCA (417) Science (384) Computers & IT (Non-Engg) (383) Medicine & Health Sciences (381) Hotel Management (373) Civil Engineering (353) MCA (349) Tuteehub Top Questions (348) Distance (340) Colleges in India (334)
See More

Mavericks PHP versions issue

General Tech Bugs & Fixes

Max. 2000 characters
Replies

usr_profile.png

User

( 5 months ago )

 

I just ran the command below to update PHP on my system (twice, forgot I ran it before).

curl -s http://php-osx.liip.ch/install.sh | bash -s 5.5

Output

Detected OS X Mavericks 10.9 All ok.
Get packager.tgz
Unpack packager.tgz
Please type in your password, as we want to install this into /usr/local
Password:
Start packager (may take some time)
downloading http://php-osx.liip.ch/install/5.5-10.8-frontenddev-latest.dat
downloading http://php-osx.liip.ch/install/5.5-10.8/frontenddev/5.5-10.8-frontenddev-5.5.27-20150710-221744.tar.bz2

Installing package 5.5-10.8-frontenddev into root /
Package 5.5-10.8-frontenddev is already installed at version 5.5.27-20150710-221744. You wanted to install version 5.5.27-20150710-221744.

However when I run php --version I get

PHP 5.4.17 (cli) (built: Aug 25 2013 02:03:38) 
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies

which php tells me `/usr/bin/php`

How can I get my system to use 5.5 ?

usr_profile.png

User

( 5 months ago )

try

/usr/local/php5/bin/php --version

If you want that php to become the default when you type php at the command line, run this:

echo "alias php='/usr/local/php5/bin/php'">>~/.bash_profile

then close your terminal and open a new one or run

. ~/.bash_profile

what's your interest


forum_ban8_5d8c5fd7cf6f7.gif